NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.Tooling.MoldProcessBuilder Class Reference

Represents a Tooling::MoldProcessBuilder builder More...

Inheritance diagram for NXOpen.Tooling.MoldProcessBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe NXOpen.SelectPoint CompSelect [get]
 Returns the component selected to be edited. More...
 
unsafe NXOpen.SelectNXObjectList ConceptObjects [get]
 Returns the concept objects selected to be edited. More...
 
unsafe bool Rename [get, set]
 Returns or sets the rename toggle let users choose whether to run Part Name Management dialog More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a Tooling::MoldProcessBuilder builder

To create a new instance of this class, use NXOpen.Tooling.MoldProcessCollection.CreateMoldProcessBuilder

Default values.

Property Value

Rename

0

Created in NX6.0.0

Property Documentation

unsafe NXOpen.SelectPoint NXOpen.Tooling.MoldProcessBuilder.CompSelect
get

Returns the component selected to be edited.

The edition will start Standard Part Management dialog

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Tooling.MoldProcessBuilder.ConceptObjects
get

Returns the concept objects selected to be edited.

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.MoldProcessBuilder.Rename
getset

Returns or sets the rename toggle let users choose whether to run Part Name Management dialog

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.